<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/book.krb5.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'class.krb5ccache.php',
    1 => 'KRB5CCache',
  ),
  'up' => 
  array (
    0 => 'book.krb5.php',
    1 => 'Kerberos V / KADM5 / GSSAPI',
  ),
  'prev' => 
  array (
    0 => 'krb5.examples-ccache-init-password.php',
    1 => 'Initializing a credential cache',
  ),
  'next' => 
  array (
    0 => 'krb5ccache.getentries.php',
    1 => 'KRB5CCache::getEntries',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div>

 <h1 class="title">The KRB5CCache class</h1>
 

 <div class="partintro">


  <div id="krb5ccache.intro" class="section">
   <h2 class="title">Introduction</h2>
   <p class="para">
    Objects of this class represent credential caches. All credential caches are stored in unique memory caches but may be imported/exported to other ccache formats.
   </p>
  </div>


  <div id="krb5ccache.synopsis" class="section">
   <h2 class="title">Class synopsis</h2>


   <div class="classsynopsis">
    <div class="ooclass"><b class="classname">KRB5CCache</b></div>


    <div class="classsynopsisinfo">
     <span class="ooclass">
      <b class="classname">KRB5CCache</b>
     </span>
     {</div>

    
    <div class="classsynopsisinfo classsynopsisinfo_comment">/* Methods */</div>
    <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">array</span> <span class="methodname"><b><a href="krb5ccache.getentries.php" class="function">KRB5CCache::getEntries</a></b></span>
    ( <span class="methodparam">void</span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">string</span> <span class="methodname"><b><a href="krb5ccache.getname.php" class="function">KRB5CCache::getName</a></b></span>
    ( <span class="methodparam">void</span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">void</span> <span class="methodname"><b><a href="krb5ccache.initkeytab.php" class="function">KRB5CCache::initKeytab</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$principal</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter">$keytab</tt></span>
   [, <span class="methodparam"><span class="type">array</span> <tt class="parameter">$flags</tt></span>
  ] )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">void</span> <span class="methodname"><b><a href="krb5ccache.initpassword.php" class="function">KRB5CCache::initPassword</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$principal</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter">$password</tt></span>
   [, <span class="methodparam"><span class="type">array</span> <tt class="parameter">$flags</tt></span>
  ] )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">bool</span> <span class="methodname"><b><a href="krb5ccache.isvalid.php" class="function">KRB5CCache::isValid</a></b></span>
    ([ <span class="methodparam"><span class="type">int</span> <tt class="parameter">$seconds</tt></span>
  ] )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">void</span> <span class="methodname"><b><a href="krb5ccache.open.php" class="function">KRB5CCache::open</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$source</tt></span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">void</span> <span class="methodname"><b><a href="krb5ccache.save.php" class="function">KRB5CCache::save</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$destination</tt></span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">void</span> <span class="methodname"><b><a href="krb5ccache.setconfig.php" class="function">KRB5CCache::setConfig</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$file</tt></span>
   )</div>

   }</div>


  </div>

 </div>

 

























































<h2>Table of Contents</h2><ul class="chunklist chunklist_reference"><li><a href="krb5ccache.getentries.php">KRB5CCache::getEntries</a> — Gets the SPNs for which the ccache contains tickets</li><li><a href="krb5ccache.getname.php">KRB5CCache::getName</a> — Returns the credential cache identifier for the ccache</li><li><a href="krb5ccache.initkeytab.php">KRB5CCache::initKeytab</a> — Gets a TGT using a key given in a keytable file</li><li><a href="krb5ccache.initpassword.php">KRB5CCache::initPassword</a> — Gets a TGT using a given password</li><li><a href="krb5ccache.isvalid.php">KRB5CCache::isValid</a> — Checks whether the credentials contained are still valid</li><li><a href="krb5ccache.open.php">KRB5CCache::open</a> — Copies the credentials contained in some credential cache to this credential cache</li><li><a href="krb5ccache.save.php">KRB5CCache::save</a> — Copies the contents of the credential cache to another one</li><li><a href="krb5ccache.setconfig.php">KRB5CCache::setConfig</a> — Sets the kerberos confiuration file to use</li></ul>
</div>
<?php manual_footer(); ?>