<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.gssapicontext.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'gssapicontext.acceptseccontext.php',
    1 => 'GSSAPIContext::acceptSecContext',
  ),
  'up' => 
  array (
    0 => 'class.gssapicontext.php',
    1 => 'The GSSAPIContext class',
  ),
  'prev' => 
  array (
    0 => 'class.gssapicontext.php',
    1 => 'GSSAPIContext',
  ),
  'next' => 
  array (
    0 => 'gssapicontext.acquirecredentials.php',
    1 => 'GSSAPIContext::acquireCredentials',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="gssapicontext.acceptseccontext" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">GSSAPIContext::acceptSecContext</h1>
  <p class="verinfo">(No version information available, might be only in CVS)</p><p class="refpurpose"><span class="refname">GSSAPIContext::acceptSecContext</span> &mdash; <span class="dc-title">Accepts a GSSAPI context initiated by a remote party</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">bool</span> <span class="methodname"><b><b>GSSAPIContext::acceptSecContext</b></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$input_token</tt></span>
   [, <span class="methodparam"><span class="type">string</span> <tt class="parameter reference">&$output_token</tt></span>
   [, <span class="methodparam"><span class="type">string</span> <tt class="parameter reference">&$src_name</tt></span>
   [, <span class="methodparam"><span class="type">int</span> <tt class="parameter reference">&$ret_flags</tt></span>
   [, <span class="methodparam"><span class="type">int</span> <tt class="parameter reference">&$time_rec</tt></span>
   [, <span class="methodparam"><span class="type"><a href="class.krb5ccache.php" class="type KRB5CCache">KRB5CCache</a></span> <tt class="parameter">$deleg</tt></span>
  ]]]]] )</div>

  <p class="para rdfs-comment">
   Accepts a GSSAPI context initiated by a remote party.  <span class="methodname"><b><a href="gssapicontext.acquirecredentials.php" class="function">GSSAPIContext::acquireCredentials</a></b></span> should first be used to select the correct credentials, otherwise the default credential cache and keytab will be used.
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
  <p class="para">
   <dl>

    <dt>

     <span class="term"><i><tt class="parameter">input_token</tt></i>
</span>

     <dd>

      <p class="para">
       Token passed by the remote party.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">output_token</tt></i>
</span>

     <dd>

      <p class="para">
       Token to pass to the remote party.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">src_name</tt></i>
</span>

     <dd>

      <p class="para">
       Principal name of the authenticated remote party
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">ret_flags</tt></i>
</span>

     <dd>

      <p class="para">
       Flags of the established GSSAPI context.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">time_rec</tt></i>
</span>

     <dd>

      <p class="para">
       Time in seconds for which the context will stay valid.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">deleg</tt></i>
</span>

     <dd>

      <p class="para">
       The given credential cache will be reinitalized and filled using delegated credentials, if available.
      </p>
     </dd>

    </dt>

   </dl>

  </p>

 </div>


 <div class="refsect1 returnvalues">
  <h3 class="title">Return Values</h3>
  <p class="para">
   Will return <i>true</i> if the context was established, <i>false</i> otherwise.
  </p>
 </div>


 <div class="refsect1 examples">
  <h3 class="title">Examples</h3>
  <p class="para">
   <div class="example">
    <p><b>Example #1 <b>GSSAPIContext::acceptSecContext()</b> example</b></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000">
<span style="color: #0000BB">&lt;?php<br /></span><span style="color: #FF8000">//&nbsp;assume&nbsp;$client&nbsp;is&nbsp;a&nbsp;KRB5CCache&nbsp;containing&nbsp;credentials&nbsp;for&nbsp;client@MYREALM<br />//&nbsp;assume&nbsp;$server&nbsp;is&nbsp;a&nbsp;KRB5CCache&nbsp;containing&nbsp;credentials&nbsp;for&nbsp;server@MYREALM&nbsp;(initialized&nbsp;using&nbsp;keytab)<br /><br /></span><span style="color: #0000BB">$cgssapi&nbsp;</span><span style="color: #007700">=&nbsp;new&nbsp;</span><span style="color: #0000BB">GSSAPIContext</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">$cgssapi</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">acquireCredentials</span><span style="color: #007700">(</span><span style="color: #0000BB">$client</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$sgssapi&nbsp;</span><span style="color: #007700">=&nbsp;new&nbsp;</span><span style="color: #0000BB">GSSAPIContext</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">$sgssapi</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">acquireCredentials</span><span style="color: #007700">(</span><span style="color: #0000BB">$server</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$token&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #DD0000">''</span><span style="color: #007700">;<br /></span><span style="color: #0000BB">$cgssapi</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">initSecContext</span><span style="color: #007700">(</span><span style="color: #DD0000">"server@MYREALM"</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">null</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">null</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">null</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">$token</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$token2&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #DD0000">''</span><span style="color: #007700">;<br /></span><span style="color: #0000BB">$remote&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #DD0000">''</span><span style="color: #007700">;<br /></span><span style="color: #0000BB">$sgssapi</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">acceptSecContext</span><span style="color: #007700">(</span><span style="color: #0000BB">$token</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">$token2</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">$remote</span><span style="color: #007700">);<br /><br />echo&nbsp;</span><span style="color: #0000BB">$remote</span><span style="color: #007700">;<br /></span><span style="color: #0000BB">?&gt;</span>
</span>
</code></div>
    </div>

    <div class="example-contents"><p>The above example will output 
something similar to:</p></div>
    <div class="example-contents"><pre>
<div class="cdata"><pre>
client@MYREALM
</pre></div>
    </pre></div>
   </div>
  </p>
 </div>


 <div class="refsect1 seealso">
  <h3 class="title">See Also</h3>
  <p class="para">
   <ul class="simplelist">
    <li class="member"> <span class="methodname"><b><a href="gssapicontext.initseccontext.php" class="function" rel="rdfs-seeAlso">GSSAPIContext::initSecContext</a></b></span></li>
    <li class="member"> <span class="methodname"><b><a href="gssapicontext.acquirecredentials.php" class="function" rel="rdfs-seeAlso">GSSAPIContext::acquireCredentials</a></b></span></li>
    <li class="member"> <span class="methodname"><b><a href="krb5ccache.initkeytab.php" class="function" rel="rdfs-seeAlso">KRB5CCache::initKeytab</a></b></span></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer(); ?>