<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.gssapicontext.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'gssapicontext.acquirecredentials.php',
    1 => 'GSSAPIContext::acquireCredentials',
  ),
  'up' => 
  array (
    0 => 'class.gssapicontext.php',
    1 => 'The GSSAPIContext class',
  ),
  'prev' => 
  array (
    0 => 'gssapicontext.acceptseccontext.php',
    1 => 'GSSAPIContext::acceptSecContext',
  ),
  'next' => 
  array (
    0 => 'gssapicontext.getmic.php',
    1 => 'GSSAPIContext::getMic',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="gssapicontext.acquirecredentials" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">GSSAPIContext::acquireCredentials</h1>
  <p class="verinfo">(No version information available, might be only in CVS)</p><p class="refpurpose"><span class="refname">GSSAPIContext::acquireCredentials</span> &mdash; <span class="dc-title">Obtains credentials for establishing a GSSAPI context</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type"><span class="type void">void</span></span> <span class="methodname"><b><b>GSSAPIContext::acquireCredentials</b></b></span>
    ( <span class="methodparam"><span class="type"><a href="class.krb5ccache.php" class="type KRB5CCache">KRB5CCache</a></span> <tt class="parameter">$ccache</tt></span>
   )</div>

  <p class="para rdfs-comment">
   Obtains credentials for establishing a GSSAPI context. If the credentials shall be used for accepting a GSSAPI context, the given credential cache must be initialized with a keytab, as access to the service key ist required.
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
  <dl>

    <dt>

     <span class="term"><i><tt class="parameter">ccache</tt></i>
</span>

     <dd>

      <p class="para">
       Credential cache to fetch credentials from.
      </p>
     </dd>

    </dt>

   </dl>

 </div>


 <div class="refsect1 examples">
  <h3 class="title">Examples</h3>
  <p class="para">
   <div class="example">
    <p><b>Example #1 <b>GSSAPIContext::acquireCredentials()</b> example</b></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000">
<span style="color: #0000BB">&lt;?php<br />$ccache&nbsp;</span><span style="color: #007700">=&nbsp;new&nbsp;</span><span style="color: #0000BB">KRB5CCache</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">$ccache</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">initPassword</span><span style="color: #007700">(</span><span style="color: #DD0000">'test@MYREALM'</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">'test'</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$gssapi&nbsp;</span><span style="color: #007700">=&nbsp;new&nbsp;</span><span style="color: #0000BB">GSSAPIContext</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">$gssapi</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">acquireCredentials</span><span style="color: #007700">(</span><span style="color: #0000BB">$ccache</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$token&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #DD0000">''</span><span style="color: #007700">;<br /></span><span style="color: #0000BB">$gssapi</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">initSecContext</span><span style="color: #007700">(</span><span style="color: #DD0000">'server@MYREALM'</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">null</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">null</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">null</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">$token</span><span style="color: #007700">);<br /></span><span style="color: #FF8000">//&nbsp;the&nbsp;context&nbsp;will&nbsp;be&nbsp;initiated&nbsp;as&nbsp;test@MYREALM<br /></span><span style="color: #0000BB">?&gt;</span>
</span>
</code></div>
    </div>

   </div>
  </p>
 </div>


 <div class="refsect1 seealso">
  <h3 class="title">See Also</h3>
  <p class="para">
   <ul class="simplelist">
    <li class="member"> <span class="methodname"><b><a href="gssapicontext.inquirecredentials.php" class="function" rel="rdfs-seeAlso">GSSAPIContext::inquireCredentials</a></b></span></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer(); ?>