<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.gssapicontext.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'gssapicontext.verifymic.php',
    1 => 'GSSAPIContext::verifyMic',
  ),
  'up' => 
  array (
    0 => 'class.gssapicontext.php',
    1 => 'The GSSAPIContext class',
  ),
  'prev' => 
  array (
    0 => 'gssapicontext.unwrap.php',
    1 => 'GSSAPIContext::unwrap',
  ),
  'next' => 
  array (
    0 => 'gssapicontext.wrap.php',
    1 => 'GSSAPIContext::wrap',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="gssapicontext.verifymic" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">GSSAPIContext::verifyMic</h1>
  <p class="verinfo">(No version information available, might be only in CVS)</p><p class="refpurpose"><span class="refname">GSSAPIContext::verifyMic</span> &mdash; <span class="dc-title">Verifies a MIC calculated by the remote party</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">boolean</span> <span class="methodname"><b><b>GSSAPIContext::verifyMic</b></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$message</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter">$mic</tt></span>
   )</div>

  <p class="para rdfs-comment">
   Verifies a MIC calculated by the remote party
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
  <p class="para">
   <dl>

    <dt>

     <span class="term"><i><tt class="parameter">message</tt></i>
</span>

     <dd>

      <p class="para">
       Message to verify MIC
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">mic</tt></i>
</span>

     <dd>

      <p class="para">
       MIC
      </p>
     </dd>

    </dt>

   </dl>

  </p>

 </div>


 <div class="refsect1 returnvalues">
  <h3 class="title">Return Values</h3>
  <p class="para">
   <i>true</i> if the passed MIC is valid for the message and <i>false</i> otherwise.
  </p>
 </div>


  <div class="refsect1 examples">
  <h3 class="title">Examples</h3>
  <p class="para">
   <div class="example">
    <p><b>Example #1 <b>GSSAPIContext::verifyMic()</b> example</b></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000">
<span style="color: #0000BB">&lt;?php<br /></span><span style="color: #FF8000">//&nbsp;assume&nbsp;$cgssapi&nbsp;is&nbsp;the&nbsp;initiator&nbsp;of&nbsp;some&nbsp;context<br />//&nbsp;and&nbsp;$sgssapi&nbsp;is&nbsp;the&nbsp;acceptor&nbsp;of&nbsp;the&nbsp;context<br /><br /></span><span style="color: #0000BB">$message&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #DD0000">'foo'</span><span style="color: #007700">;<br /><br /></span><span style="color: #0000BB">$mic&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #0000BB">$cgssapi</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">getMic</span><span style="color: #007700">(</span><span style="color: #0000BB">$message</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$sgssapi</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">verifyMic</span><span style="color: #007700">(</span><span style="color: #0000BB">$message</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">$mic</span><span style="color: #007700">);&nbsp;</span><span style="color: #FF8000">//&nbsp;will&nbsp;return&nbsp;true&nbsp;if&nbsp;valid<br /></span><span style="color: #0000BB">?&gt;</span>
</span>
</code></div>
    </div>

   </div>
  </p>
 </div>


 <div class="refsect1 seealso">
  <h3 class="title">See Also</h3>
  <p class="para">
   <ul class="simplelist">
    <li class="member"> <span class="methodname"><b><a href="gssapicontext.getmic.php" class="function" rel="rdfs-seeAlso">GSSAPIContext::getMic</a></b></span></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer(); ?>