<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/krb5.constants.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'krb5.constantsGSSAPI.php',
    1 => 'Constants for GSSAPI',
  ),
  'up' => 
  array (
    0 => 'krb5.constants.php',
    1 => 'Predefined Constants',
  ),
  'prev' => 
  array (
    0 => 'krb5.constants.php',
    1 => 'Predefined Constants',
  ),
  'next' => 
  array (
    0 => 'krb5.examples.php',
    1 => 'Examples',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="krb5.constantsGSSAPI" class="section">
 <h2 class="title">Constants for GSSAPI</h2>
  <p class="para">
   These constants are flags for GSSAPI contexts and used by the methods <a href="gssapicontext.initseccontext.php" class="function">GSSAPIContext::initSecContext()</a> <a href="gssapicontext.acceptseccontext.php" class="function">GSSAPIContext::acceptSecContext()</a>. More information is available in RFC2744.

   <table class="doctable formaltable">
    <caption><b>Context Flags</b></caption>
    
     <thead valign="middle">
      <tr valign="middle">
       <th>constant</th>
      </tr>

     </thead>

     <tbody valign="middle" class="tbody">
      <tr valign="middle">
       <td align="left">GSS_C_DELEG_FLAG</td>
       <td align="left">Request credential delegation when initiating context, only available when used credentials are forwardable.</td>
      </tr>

      <tr valign="middle">
       <td align="left">GSS_C_MUTUAL_FLAG</td>
       <td align="left">Request mutual authentication.</td>
      </tr>

      <tr valign="middle">
       <td align="left">GSS_C_REPLAY_FLAG</td>
       <td align="left">Request replay detection.</td>
      </tr>

      <tr valign="middle">
       <td align="left">GSS_C_SEQUENCE_FLAG</td>
      </tr>

      <tr valign="middle">
       <td align="left">GSS_C_CONF_FLAG</td>
      </tr>

      <tr valign="middle">
       <td align="left">GSS_C_INTEG_FLAG</td>
      </tr>

      <tr valign="middle">
       <td align="left">GSS_C_ANON_FLAG</td>
      </tr>

      <tr valign="middle">
       <td align="left">GSS_C_PROT_READY_FLAG</td>
      </tr>

      <tr valign="middle">
       <td align="left">GSS_C_TRANS_FLAG</td>
      </tr>

     </tbody>
    
   </table>

  </p>
  <p class="para">
   These constants are flags for GSSAPI credentials and used by the method <a href="gssapicontext.acquirecredentials.php" class="function">GSSAPIContext::acquireCredentials()</a>.

   <table class="doctable formaltable">
    <caption><b>Credential Flags</b></caption>
    
     <thead valign="middle">
      <tr valign="middle">
       <th>constant</th>
      </tr>

     </thead>

     <tbody valign="middle" class="tbody">
      <tr valign="middle">
       <td align="left">GSS_C_BOTH</td>
       <td align="left">Request credentials to be usable for initiating and accepting contexts.</td>
      </tr>

      <tr valign="middle">
       <td align="left">GSS_C_INITIATE</td>
       <td align="left">Request credentials to be usable for initiating contexts.</td>
      </tr>

      <tr valign="middle">
       <td align="left">GSS_C_ACCEPT</td>
       <td align="left">Request credentials to be usable for accepting contexts.</td>
      </tr>

     </tbody>
    
   </table>

  </p>
 </div><?php manual_footer(); ?>