<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.krb5ccache.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'krb5ccache.initpassword.php',
    1 => 'KRB5CCache::initPassword',
  ),
  'up' => 
  array (
    0 => 'class.krb5ccache.php',
    1 => 'The KRB5CCache class',
  ),
  'prev' => 
  array (
    0 => 'krb5ccache.initkeytab.php',
    1 => 'KRB5CCache::initKeytab',
  ),
  'next' => 
  array (
    0 => 'krb5ccache.isvalid.php',
    1 => 'KRB5CCache::isValid',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="krb5ccache.initpassword" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">KRB5CCache::initPassword</h1>
  <p class="verinfo">(No version information available, might be only in CVS)</p><p class="refpurpose"><span class="refname">KRB5CCache::initPassword</span> &mdash; <span class="dc-title">Gets a TGT using a given password</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type"><span class="type void">void</span></span> <span class="methodname"><b><b>KRB5CCache::initPassword</b></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$principal</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter">$password</tt></span>
   [, <span class="methodparam"><span class="type">array</span> <tt class="parameter">$flags</tt></span>
  ] )</div>

  <p class="para rdfs-comment">
   Gets a TGT using a given password. Please note that using passwords is not suitable for services needing to accept GSSAPI contexts as the service key is required but then not available to GSSAPI.
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
  <dl>

    <dt>

     <span class="term"><i><tt class="parameter">principal</tt></i>
</span>

     <dd>

      <p class="para">
       Name of principal to get TGT for.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">password</tt></i>
</span>

     <dd>

      <p class="para">
       Password to authenticate.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">flags</tt></i>
</span>

     <dd>

      <p class="para">
       Associative array of Ticket flags.
      <table class="doctable formaltable">
       <caption><b>Usable ticket flags</b></caption>
       
        <thead valign="middle">
         <tr valign="middle">
          <th>flag</th>
          <th>type</th>
          <th>description</th>
         </tr>

        </thead>

        <tbody valign="middle" class="tbody">
         <tr valign="middle">
          <td align="left">forwardable</td>
          <td align="left">bool</td>
          <td align="left">Try to get a forwardable TGT</td>
         </tr>

         <tr valign="middle">
          <td align="left">proxiable</td>
          <td align="left">bool</td>
          <td align="left">Try to get a proxiable TGT</td>
         </tr>

         <tr valign="middle">
          <td align="left">tkt_life</td>
          <td align="left">integer</td>
          <td align="left">Lifetime of TGT in seconds</td>
         </tr>

           <tr valign="middle">
          <td align="left">renew_life</td>
          <td align="left">integer</td>
          <td align="left">Renewable lifetime of TGT in seconds</td>
         </tr>

        </tbody>
       
      </table>

      </p>
     </dd>

    </dt>

   </dl>

 </div>


 <div class="refsect1 examples">
  <h3 class="title">Examples</h3>
  <p class="para">
   <div class="example">
    <p><b>Example #1 <b>KRB5CCache::initPassword()</b> example</b></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000">
<span style="color: #0000BB">&lt;?php<br />$ccache&nbsp;</span><span style="color: #007700">=&nbsp;new&nbsp;</span><span style="color: #0000BB">KRB5CCache</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">$flags&nbsp;</span><span style="color: #007700">=&nbsp;array(<br />&nbsp;&nbsp;</span><span style="color: #DD0000">"forwardable"&nbsp;</span><span style="color: #007700">=&gt;&nbsp;</span><span style="color: #0000BB">true</span><span style="color: #007700">,<br />&nbsp;&nbsp;</span><span style="color: #DD0000">"tkt_life"&nbsp;</span><span style="color: #007700">=&gt;&nbsp;</span><span style="color: #0000BB">60&nbsp;</span><span style="color: #007700">*&nbsp;</span><span style="color: #0000BB">60<br /></span><span style="color: #007700">);<br /></span><span style="color: #0000BB">$ccache</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">initPassword</span><span style="color: #007700">(</span><span style="color: #DD0000">"test@MYREALM"</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"test"</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">$flags</span><span style="color: #007700">);<br /></span><span style="color: #FF8000">//&nbsp;if&nbsp;everything&nbsp;worked&nbsp;$ccache&nbsp;will&nbsp;now&nbsp;contain&nbsp;forwardable&nbsp;a&nbsp;TGT&nbsp;<br />//&nbsp;for&nbsp;test@MYREALM&nbsp;with&nbsp;lifetime&nbsp;of&nbsp;one&nbsp;hour<br /></span><span style="color: #0000BB">?&gt;</span>
</span>
</code></div>
    </div>

   </div>
  </p>
 </div>


</div><?php manual_footer(); ?>